package main

import (
	"log"

	"git.pbiernat.dev/egommerce/basket-service/pkg/config"

	cnf "git.pbiernat.dev/egommerce/basket-service/internal/config"
	"git.pbiernat.dev/egommerce/basket-service/internal/worker"
)

func main() {
	if config.ErrLoadingEnvs != nil {
		log.Panicln("Error loading .env file.")
	}

	c := cnf.NewConfig()
	wrk := worker.New(
		c,
		worker.WithCache(c),
		worker.WithDatabase(c),
		worker.WithEventbus(c),
		worker.WithLogger(c),
		worker.WithRegistry(c),
	)

	forever := make(chan struct{})
	wrk.Start()
	<-forever
}
